Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IMesh

    java.lang.Object
      igeo.IObject
          igeo.IMesh

All Implemented Interfaces:
  IMeshI

    public class IMesh

extends IObject
implements IMeshI

Class of polygon mesh object.

Field Summary
`IMeshGeo` | `mesh`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IMesh()`
`IMesh(java.util.ArrayList<ICurveI> lines)`
`IMesh(java.util.ArrayList<ICurveI> lines, IMeshCreator creator)`
`IMesh(java.util.ArrayList<IVertex> v, java.util.ArrayList<IEdge> e, java.util.ArrayList<IFace> f)`
`IMesh(double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3)`
`IMesh(double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3, double x4, double y4, double z4)`
`IMesh(IFace[] fcs)`
`IMesh(IMesh m)`
`IMesh(IMeshGeo m)`
`IMesh(IServerI s)`
`IMesh(IServerI s, java.util.ArrayList<ICurveI> lines)`
`IMesh(IServerI s, java.util.ArrayList<ICurveI> lines, IMeshCreator creator)`
`IMesh(IServerI s, java.util.ArrayList<IVertex> v, java.util.ArrayList<IEdge> e, java.util.ArrayList<IFace> f)`
`IMesh(IServerI s, double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3)`
`IMesh(IServerI s, double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3, double x4, double y4, double z4)`
`IMesh(IServerI s, IFace[] fcs)`
`IMesh(IServerI s, IMesh m)`
`IMesh(IServerI s, IMeshGeo m)`
`IMesh(IServerI s, IVec[] vert)`
`IMesh(IServerI s, IVec[][] matrix)`
`IMesh(IServerI s, IVec[][] matrix, boolean triangulateDir)`
`IMesh(IServerI s, IVec[][] matrix, boolean triangulateDir, IMeshCreator creator)`
`IMesh(IServerI s, IVec[][] matrix, int unum, int vnum, boolean triangulateDir)`
`IMesh(IServerI s, IVec[][] matrix, int unum, int vnum, boolean triangulateDir, IMeshCreator creator)`
`IMesh(IServerI s, IVecI v1, IVecI v2, IVecI v3, IVecI v4)`
`IMesh(IServerI s, IVertex[] vert)`
`IMesh(IServerI s, IVertex v1, IVertex v2, IVertex v3)`
`IMesh(IServerI s, IVertex v1, IVertex v2, IVertex v3, IVertex v4)`
`IMesh(IVec[] vert)`
`IMesh(IVec[][] matrix)`
`IMesh(IVec[][] matrix, boolean triangulateDir)`
`IMesh(IVec[][] matrix, boolean triangulateDir, IMeshCreator creator)`
`IMesh(IVec[][] matrix, int unum, int vnum, boolean triangulateDir)`
`IMesh(IVec[][] matrix, int unum, int vnum, boolean triangulateDir, IMeshCreator creator)`
`IMesh(IVecI v1, IVecI v2, IVecI v3, IVecI v4)`
`IMesh(IVertex[] vert)`
`IMesh(IVertex v1, IVertex v2, IVertex v3)`
`IMesh(IVertex v1, IVertex v2, IVertex v3, IVertex v4)`

Method Summary
`IMesh` | `addFace(IFace f)`
`IMesh` | `clr(java.awt.Color c)`
`IMesh` | `clr(java.awt.Color c, int alpha)` to set color, with alpha value overwritten
`IMesh` | `clr(double dgray)`
`IMesh` | `clr(double dgray, double dalpha)`
`IMesh` | `clr(double dr, double dg, double db)`
`IMesh` | `clr(double dr, double dg, double db, double da)`
`IMesh` | `clr(float fgray)`
`IMesh` | `clr(float fgray, float falpha)`
`IMesh` | `clr(float fr, float fg, float fb)`
`IMesh` | `clr(float fr, float fg, float fb, float fa)`
`IMesh` | `clr(int gray)`
`IMesh` | `clr(int gray, int alpha)`
`IMesh` | `clr(int r, int g, int b)`
`IMesh` | `clr(int r, int g, int b, int a)`
`IGraphicObject` | `createGraphic(IGraphicMode m)`
`IMesh` | `dup()` duplicate object
`IEdge` | `edge(IIntegerI i)`
`IEdge` | `edge(int i)`
`int` | `edgeNum()`
`int` | `edgeNum(ISwitchE e)`
`IIntegerI` | `edgeNum(ISwitchR r)`
`IFace` | `face(IIntegerI i)`
`IFace` | `face(int i)`
`int` | `faceNum()`
`int` | `faceNum(ISwitchE e)`
`IIntegerI` | `faceNum(ISwitchR r)`
`IMeshGeo` | `get()`
`IMesh` | `hide()`
`IMesh` | `hsb(double h, double s, double b)`
`IMesh` | `hsb(double h, double s, double b, double a)`
`IMesh` | `hsb(float h, float s, float b)`
`IMesh` | `hsb(float h, float s, float b, float a)`
`void` | `initMesh(IServerI s)`
`boolean` | `isValid()` checking parameters validity.
`static IMesh` | `join(IMesh[] meshes)` extract all points and connect if it's at same location and create a new mesh.
`IMesh` | `layer(ILayer l)` Set layer by ILayer object
`IMesh` | `name(java.lang.String nm)`
`IMesh` | `setColor(java.awt.Color c)`
`IMesh` | `setColor(java.awt.Color c, int alpha)`
`IMesh` | `setColor(double dgray)`
`IMesh` | `setColor(double dgray, double dalpha)`
`IMesh` | `setColor(double dr, double dg, double db)`
`IMesh` | `setColor(double dr, double dg, double db, double da)`
`IMesh` | `setColor(float fgray)`
`IMesh` | `setColor(float fgray, float falpha)`
`IMesh` | `setColor(float fr, float fg, float fb)`
`IMesh` | `setColor(float fr, float fg, float fb, float fa)`
`IMesh` | `setColor(int gray)`
`IMesh` | `setColor(int gray, int alpha)`
`IMesh` | `setColor(int r, int g, int b)`
`IMesh` | `setColor(int r, int g, int b, int a)`
`IMesh` | `setHSBColor(double h, double s, double b)`
`IMesh` | `setHSBColor(double h, double s, double b, double a)`
`IMesh` | `setHSBColor(float h, float s, float b)`
`IMesh` | `setHSBColor(float h, float s, float b, float a)`
`IMesh` | `show()`
`IVertex` | `vertex(IIntegerI i)`
`IVertex` | `vertex(int i)`
`int` | `vertexNum()`
`int` | `vertexNum(ISwitchE e)`
`IIntegerI` | `vertexNum(ISwitchR r)`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, cp, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mesh

    public IMeshGeo mesh

Constructor Detail

### IMesh

    public IMesh()

### IMesh

    public IMesh(IServerI s)

### IMesh

    public IMesh(IMeshGeo m)

### IMesh

    public IMesh(IServerI s,
                 IMeshGeo m)

### IMesh

    public IMesh(IMesh m)

### IMesh

    public IMesh(IServerI s,
                 IMesh m)

### IMesh

    public IMesh(IServerI s,
                 java.util.ArrayList<ICurveI> lines)

### IMesh

    public IMesh(java.util.ArrayList<ICurveI> lines)

### IMesh

    public IMesh(IServerI s,
                 java.util.ArrayList<ICurveI> lines,
                 IMeshCreator creator)

### IMesh

    public IMesh(java.util.ArrayList<ICurveI> lines,
                 IMeshCreator creator)

### IMesh

    public IMesh(IServerI s,
                 IVec[][] matrix)

### IMesh

    public IMesh(IVec[][] matrix)

### IMesh

    public IMesh(IServerI s,
                 IVec[][] matrix,
                 boolean triangulateDir)

### IMesh

    public IMesh(IVec[][] matrix,
                 boolean triangulateDir)

### IMesh

    public IMesh(IServerI s,
                 IVec[][] matrix,
                 boolean triangulateDir,
                 IMeshCreator creator)

### IMesh

    public IMesh(IVec[][] matrix,
                 boolean triangulateDir,
                 IMeshCreator creator)

### IMesh

    public IMesh(IServerI s,
                 IVec[][] matrix,
                 int unum,
                 int vnum,
                 boolean triangulateDir)

### IMesh

    public IMesh(IVec[][] matrix,
                 int unum,
                 int vnum,
                 boolean triangulateDir)

### IMesh

    public IMesh(IServerI s,
                 IVec[][] matrix,
                 int unum,
                 int vnum,
                 boolean triangulateDir,
                 IMeshCreator creator)

### IMesh

    public IMesh(IVec[][] matrix,
                 int unum,
                 int vnum,
                 boolean triangulateDir,
                 IMeshCreator creator)

### IMesh

    public IMesh(IServerI s,
                 java.util.ArrayList<IVertex> v,
                 java.util.ArrayList<IEdge> e,
                 java.util.ArrayList<IFace> f)

### IMesh

    public IMesh(java.util.ArrayList<IVertex> v,
                 java.util.ArrayList<IEdge> e,
                 java.util.ArrayList<IFace> f)

### IMesh

    public IMesh(IServerI s,
                 IVec[] vert)

### IMesh

    public IMesh(IVec[] vert)

### IMesh

    public IMesh(IServerI s,
                 IVertex[] vert)

### IMesh

    public IMesh(IVertex[] vert)

### IMesh

    public IMesh(IServerI s,
                 IVertex v1,
                 IVertex v2,
                 IVertex v3)

### IMesh

    public IMesh(IVertex v1,
                 IVertex v2,
                 IVertex v3)

### IMesh

    public IMesh(IServerI s,
                 IVertex v1,
                 IVertex v2,
                 IVertex v3,
                 IVertex v4)

### IMesh

    public IMesh(IVertex v1,
                 IVertex v2,
                 IVertex v3,
                 IVertex v4)

### IMesh

    public IMesh(IServerI s,
                 IVecI v1,
                 IVecI v2,
                 IVecI v3,
                 IVecI v4)

### IMesh

    public IMesh(IVecI v1,
                 IVecI v2,
                 IVecI v3,
                 IVecI v4)

### IMesh

    public IMesh(IServerI s,
                 double x1,
                 double y1,
                 double z1,
                 double x2,
                 double y2,
                 double z2,
                 double x3,
                 double y3,
                 double z3)

### IMesh

    public IMesh(double x1,
                 double y1,
                 double z1,
                 double x2,
                 double y2,
                 double z2,
                 double x3,
                 double y3,
                 double z3)

### IMesh

    public IMesh(IServerI s,
                 double x1,
                 double y1,
                 double z1,
                 double x2,
                 double y2,
                 double z2,
                 double x3,
                 double y3,
                 double z3,
                 double x4,
                 double y4,
                 double z4)

### IMesh

    public IMesh(double x1,
                 double y1,
                 double z1,
                 double x2,
                 double y2,
                 double z2,
                 double x3,
                 double y3,
                 double z3,
                 double x4,
                 double y4,
                 double z4)

### IMesh

    public IMesh(IServerI s,
                 IFace[] fcs)

### IMesh

    public IMesh(IFace[] fcs)

Method Detail

### get

    public IMeshGeo get()

  Specified by:
    `get` in interface `IMeshI`

### dup

    public IMesh dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `IMeshI`
  Overrides:
    `dup` in class `IObject`

### isValid

    public boolean isValid()

  Description copied from class: `IObject`
  checking parameters validity. to be overriden.

  Specified by:
    `isValid` in interface `IMeshI`
  Overrides:
    `isValid` in class `IObject`

### initMesh

    public void initMesh(IServerI s)

### createGraphic

    public IGraphicObject createGraphic(IGraphicMode m)

  Overrides:
    `createGraphic` in class `IObject`

### vertexNum

    public int vertexNum()

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public int edgeNum()

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public int faceNum()

  Specified by:
    `faceNum` in interface `IMeshI`

### vertexNum

    public int vertexNum(ISwitchE e)

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public int edgeNum(ISwitchE e)

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public int faceNum(ISwitchE e)

  Specified by:
    `faceNum` in interface `IMeshI`

### vertexNum

    public IIntegerI vertexNum(ISwitchR r)

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public IIntegerI edgeNum(ISwitchR r)

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public IIntegerI faceNum(ISwitchR r)

  Specified by:
    `faceNum` in interface `IMeshI`

### vertex

    public IVertex vertex(int i)

  Specified by:
    `vertex` in interface `IMeshI`

### edge

    public IEdge edge(int i)

  Specified by:
    `edge` in interface `IMeshI`

### face

    public IFace face(int i)

  Specified by:
    `face` in interface `IMeshI`

### vertex

    public IVertex vertex(IIntegerI i)

  Specified by:
    `vertex` in interface `IMeshI`

### edge

    public IEdge edge(IIntegerI i)

  Specified by:
    `edge` in interface `IMeshI`

### face

    public IFace face(IIntegerI i)

  Specified by:
    `face` in interface `IMeshI`

### addFace

    public IMesh addFace(IFace f)

### name

    public IMesh name(java.lang.String nm)

  Overrides:
    `name` in class `IObject`

### layer

    public IMesh layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IObject`

### hide

    public IMesh hide()

  Overrides:
    `hide` in class `IObject`

### show

    public IMesh show()

  Overrides:
    `show` in class `IObject`

### clr

    public IMesh clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(java.awt.Color c,
                     int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(int gray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(float fgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(double dgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(int gray,
                     int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(float fgray,
                     float falpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(double dgray,
                     double dalpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(int r,
                     int g,
                     int b)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(float fr,
                     float fg,
                     float fb)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(double dr,
                     double dg,
                     double db)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(int r,
                     int g,
                     int b,
                     int a)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(float fr,
                     float fg,
                     float fb,
                     float fa)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMesh clr(double dr,
                     double dg,
                     double db,
                     double da)

  Overrides:
    `clr` in class `IObject`

### hsb

    public IMesh hsb(float h,
                     float s,
                     float b,
                     float a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMesh hsb(double h,
                     double s,
                     double b,
                     double a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMesh hsb(float h,
                     float s,
                     float b)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMesh hsb(double h,
                     double s,
                     double b)

  Overrides:
    `hsb` in class `IObject`

### setColor

    public IMesh setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(java.awt.Color c,
                          int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(int gray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(float fgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(double dgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(int gray,
                          int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(float fgray,
                          float falpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(double dgray,
                          double dalpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(int r,
                          int g,
                          int b)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(float fr,
                          float fg,
                          float fb)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(double dr,
                          double dg,
                          double db)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(int r,
                          int g,
                          int b,
                          int a)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(float fr,
                          float fg,
                          float fb,
                          float fa)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMesh setColor(double dr,
                          double dg,
                          double db,
                          double da)

  Overrides:
    `setColor` in class `IObject`

### setHSBColor

    public IMesh setHSBColor(float h,
                             float s,
                             float b,
                             float a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMesh setHSBColor(double h,
                             double s,
                             double b,
                             double a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMesh setHSBColor(float h,
                             float s,
                             float b)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMesh setHSBColor(double h,
                             double s,
                             double b)

  Overrides:
    `setHSBColor` in class `IObject`

### join

    public static IMesh join(IMesh[] meshes)

  extract all points and connect if it's at same location and create a new mesh.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD